Look up a laboratory worklist
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/laboratory/integration/worklist \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/laboratory/integration/worklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/laboratory/integration/worklist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "available",
"worklist": {
"instrument_code": "<string>",
"specimen": {},
"patient": {
"identifier": "<string>",
"name": "<string>",
"sex": "<string>",
"date_of_birth": "2023-12-25"
},
"requisitions": [
{}
]
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"status": "not_available",
"worklist": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "Unauthenticated."
}Laboratory integration
Look up a laboratory worklist
Returns active mapped tests for a dispatched specimen and instrument. Requires laboratory:worklists:read. Rate limited to 120 requests per minute per authenticated user and IP.
GET
/
laboratory
/
integration
/
worklist
Look up a laboratory worklist
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/laboratory/integration/worklist \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/laboratory/integration/worklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/laboratory/integration/worklist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "available",
"worklist": {
"instrument_code": "<string>",
"specimen": {},
"patient": {
"identifier": "<string>",
"name": "<string>",
"sex": "<string>",
"date_of_birth": "2023-12-25"
},
"requisitions": [
{}
]
}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"status": "not_available",
"worklist": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "Unauthenticated."
}Authorizations
Paste a Sanctum personal access token generated by a HMIS super administrator. Use only a token with the ability required by the selected operation.
Query Parameters
Maximum string length:
64Maximum string length:
32